# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPForeachStatementElement
/parser/ast/PHPForeachStatementElement.class.php at line 19

# Class AOWP_PHPForeachStatementElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPForeachStatementElement

public class AOWP_PHPForeachStatementElement
extends AOWP_PHPInnerStatementContainerElement

PHPForeachStatementElement PHPのASTにおける「foreach」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $expr
mixed | $foreachVariable
mixed | $optionalArg

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPForeachStatementElement(mixed _line, mixed expr, mixed foreachVariable, mixed optionalArg, mixed innerStatements)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPForeachStatementElement.class.php at line 20

### expr

`public mixed $expr`

/parser/ast/PHPForeachStatementElement.class.php at line 21

### foreachVariable

`public mixed $foreachVariable`

/parser/ast/PHPForeachStatementElement.class.php at line 22

### optionalArg

`public mixed $optionalArg`

## Constructor Detail

/parser/ast/PHPForeachStatementElement.class.php at line 24

### AOWP_PHPForeachStatementElement

`public AOWP_PHPForeachStatementElement(mixed _line, mixed expr, mixed foreachVariable, mixed optionalArg, mixed innerStatements)`

## Method Detail

/parser/ast/PHPForeachStatementElement.class.php at line 32

### __toString

`public void __toString()`

/parser/ast/PHPForeachStatementElement.class.php at line 37

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr